## r-cran-cftime 1.5.1

=== DESCRIPTION ===
Package: CFtime
Title: Using CF-Compliant Calendars with Climate Projection Data
Version: 1.5.1
Authors@R: 
    person("Patrick", "Van Laake", , "patrick@vanlaake.net", role = c("aut", "cre", "cph"))
Description: Support for all calendars as specified in the Climate and Forecast 
    (CF) Metadata Conventions for climate and forecasting data. The CF Metadata 
    Conventions is widely used for distributing files with climate observations 
    or projections, including the Coupled Model Intercomparison Project (CMIP) 
    data used by climate change scientists and the Intergovernmental Panel on
    Climate Change (IPCC). This package specifically allows the user to work 
    with any of the CF-compliant calendars (many of which are not compliant with 
    POSIXt). The CF time coordinate is formally defined in the CF Metadata 
    Conventions document available at <https://cfconventions.org/Data/cf-conventions/cf-conventions-1.12/cf-conventions.html#time-coordinate>.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.2
Imports: R6
Suggests: knitr, rmarkdown, ncdfCF, testthat (>= 3.0.0), stringr
URL: https://github.com/pvanlaake/CFtime
BugReports: https://github.com/pvanlaake/CFtime/issues
VignetteBuilder: knitr
Config/testthat/edition: 3
Collate: 'api.R' 'CFCalendar.R' 'CFCalendar360.R' 'CFCalendar365.R'
        'CFCalendar366.R' 'CFCalendarJulian.R' 'CFCalendarProleptic.R'
        'CFCalendarStandard.R' 'CFCalendarTAI.R' 'CFCalendarUTC.R'
        'CFtime-package.R' 'CFtime.R' 'deprecated.R' 'helpers.R'
        'zzz.R'
NeedsCompilation: no
Packaged: 2025-03-03 21:03:24 UTC; patrickvanlaake
Author: Patrick Van Laake [aut, cre, cph]
Maintainer: Patrick Van Laake <patrick@vanlaake.net>
Repository: CRAN
Date/Publication: 2025-03-03 22:30:07 UTC

=== debian/changelog ===
r-cran-cftime (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Mar 2025 13:35:45 +0900

r-cran-cftime (1.5.0-2) unstable; urgency=medium

  * Add missing copyright and license statements

 -- Charles Plessy <plessy@debian.org>  Fri, 21 Feb 2025 10:11:15 +0900

r-cran-cftime (1.5.0-1) unstable; urgency=medium

  * Initial release.
  * This is a new build dependency of r-cran-ncmeta.

 -- Charles Plessy <plessy@debian.org>  Tue, 04 Feb 2025 09:04:15 +0900

=== debian/control ===
Source: r-cran-cftime
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Charles Plessy <plessy@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cftime
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cftime.git
Homepage: https://cran.r-project.org/package=CFtime
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-r6
Testsuite: autopkgtest-pkg-r

Package: r-cran-cftime
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Using CF-Compliant Calendars with Climate Projection Data
 Support for all calendars as specified in the Climate and Forecast
 (CF) Metadata Conventions for climate and forecasting data. The CF Metadata
 Conventions is widely used for distributing files with climate observations
 or projections, including the Coupled Model Intercomparison Project (CMIP)
 data used by climate change scientists and the Intergovernmental Panel on
 Climate Change (IPCC). This package specifically allows the user to work
 with any of the CF-compliant calendars (many of which are not compliant with
 POSIXt). The CF time coordinate is formally defined in the CF Metadata
 Conventions document available at https://cfconventions.org/
 Data/cf-conventions/cf-conventions-1.12/cf-conventions.html#time-coordinate.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-stringr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/CFtime_([-\d.]*)\.tar\.gz

## r-cran-cftime 1.7.2

=== debian/changelog ===
r-cran-cftime (1.7.2-1) unstable; urgency=medium

  * New upstream version
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  Set upstream metadata fields: Repository, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Dec 2025 16:45:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: r-cran-cftime
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Charles Plessy <plessy@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-r6,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cftime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cftime.git
 Homepage: https://cran.r-project.org/package=CFtime
-Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-r6
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-cftime
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-stringr
Restrictions: allow-stderr
